.\" $NetBSD: ipw.4,v 1.4 2008/11/07 16:46:00 wiz Exp $
.\" Id: ipw.4,v 1.1.2.2 2004/08/19 16:25:41 damien Exp
.\"
.\" Copyright (c) 2004
.\"	Damien Bergamini <damien.bergamini@free.fr>. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice unmodified, this list of conditions, and the following
.\"    disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd November 7, 2008
.Dt IPW 4
.Os
.Sh NAME
.Nm ipw
.Nd Intel PRO/Wireless 2100 IEEE 802.11 driver
.Sh SYNOPSIS
.Cd "ipw* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Intel PRO/Wireless 2100 MiniPCI network
adapter.
.Pp
The Intel firmware requires acceptance of the End User License Agreement.
The full license text can be found in
/libdata/firmware/if_ipw/LICENSE.
The license is agreed to by setting the sysctl variable
.Dv hw.ipw.accept_eula
to 1.
.Pp
By default, the
.Nm
driver configures the adapter for BSS operation (aka infrastructure mode).
This mode requires the use of an access point.
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Sh EXAMPLES
Join an existing BSS network (i.e.: connect to an access point):
.Pp
.Dl "ifconfig ipw0 inet 192.168.0.20 netmask 0xffffff00"
.Pp
Join a specific BSS network with network name
.Dq Li my_net :
.Pp
.Dl "ifconfig ipw0 inet 192.168.0.20 netmask 0xffffff00 nwid my_net"
.Pp
Join a specific BSS network with 64 bits WEP encryption:
.Bd -literal -offset indent
ifconfig ipw0 inet 192.168.0.20 netmask 0xffffff00 nwid my_net \e
        nwkey 0x1234567890
.Ed
.Pp
Join a specific BSS network with 128bits WEP encryption:
.Bd -literal -offset indent
ifconfig ipw0 inet 192.168.0.20 netmask 0xffffff00 nwid my_net \e
        nwkey 0x01020304050607080910111213
.Ed
.Sh DIAGNOSTICS
.Bl -diag
.It "ipw%d: device timeout"
The driver will reset the hardware.
This should not happen.
.El
.Sh SEE ALSO
.Xr an 4 ,
.Xr awi 4 ,
.Xr pci 4 ,
.Xr wi 4 ,
.Xr ifconfig 8 ,
.Xr ipwctl 8
.Rs
.%T The IPW Web Page
.%O http://damien.bergamini.free.fr/ipw/
.Re
.Sh AUTHORS
The
.Nm
driver and this man page were written by
.An Damien Bergamini Aq damien.bergamini@free.fr .
